Debian Bug report logs - #578071
live-magic is not up to date to support live-helper 2.x

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Marcos Raul Carot Collins <marcos.carot@gmail.com>

Date: Fri, 16 Apr 2010 14:18:05 UTC

Severity: important

Tags: moreinfo, unreproducible

Found in version live-magic/1.10

Fixed in versions 1.10, live-magic/1.12

Done: Chris Lamb <lamby@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, marcos.carot@gmail.com, Debian Live <debian-live@lists.debian.org>:
Bug#578071; Package live-magic. (Fri, 16 Apr 2010 14:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Raul Carot Collins <marcos.carot@gmail.com>:
New Bug report received and forwarded. Copy sent to marcos.carot@gmail.com, Debian Live <debian-live@lists.debian.org>. (Fri, 16 Apr 2010 14:18:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcos Raul Carot Collins <marcos.carot@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-magic is not up to date to support live-helper 2.x
Date: Fri, 16 Apr 2010 22:15:39 +0800
Package: live-magic
Version: 1.10
Severity: grave
Justification: renders package unusable

live-magic sends "disabled" to live-helper to disable an option, but this was used by live-helper 1.x. Live-helper 2.x uses "false" instead.

This causes live-magic to fail building the image. 

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-magic depends on:
ii  gksu                 2.0.2-2+b1          graphical frontend to su
ii  live-helper          2.0~a9-1            Debian Live build scripts
ii  python               2.5.4-9             An interactive high-level object-o
ii  python-glade2        2.16.0-2            GTK+ bindings: Glade support
ii  python-gtk2          2.16.0-2            Python bindings for the GTK+ widge
ii  python-support       1.0.7               automated rebuilding support for P
ii  python-vte           1:0.22.5-3          Python bindings for the VTE widget
ii  xdg-utils            1.0.2+cvs20100307-1 desktop integration utilities from

Versions of packages live-magic recommends:
ii  cdebootstrap                  0.5.5      Bootstrap a Debian system

live-magic suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#578071; Package live-magic. (Fri, 16 Apr 2010 14:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Raul Carot Collins <marcos.carot@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 16 Apr 2010 14:30:08 GMT) Full text and rfc822 format available.

Message #10 received at 578071@bugs.debian.org (full text, mbox):

From: Marcos Raul Carot Collins <marcos.carot@gmail.com>
To: 578071@bugs.debian.org
Subject: further info
Date: Fri, 16 Apr 2010 22:28:16 +0800
I used the following options:

kde, squeeze, no debian installer, i386, usb-hdd.

These are the last lines of the log:

Removing squashfs-tools ...
Processing triggers for man-db ...
P: Begin creating manifest...
P: Begin installing local packages lists...
P: Begin install linux-image...
E: debian-installer flavour disabled not supported.
P: Begin unmounting filesystems...
P: Cleaning chroot
«config/binary» borrado
directorio borrado: «config/binary_local-debs»
directorio borrado: «config/includes»
«config/common» borrado
directorio borrado: «config/chroot_local-patches»
«config/chroot» borrado
directorio borrado: «config/binary_local-packageslists»
«config/source» borrado
«config/bootstrap» borrado
directorio borrado: «config/binary_grub»
directorio borrado: «config/binary_local-hooks»
directorio borrado: «config/chroot_sources»
directorio borrado: «config/chroot_local-includes»
directorio borrado: «config/binary_rootfs»
directorio borrado: «config/binary_debian-installer-includes»
directorio borrado: «config/binary_local-includes»
directorio borrado: «config/binary_syslinux»
directorio borrado: «config/chroot_apt»
directorio borrado: «config/binary_local-udebs»
directorio borrado: «config/chroot_local-hooks»
directorio borrado: «config/binary_debian-installer»
directorio borrado: «config/chroot_local-preseed»
directorio borrado: «config/templates»
directorio borrado: «config/chroot_local-packages»
directorio borrado: «config/chroot_local-packageslists»
directorio borrado: «config» 
-- 
Marcos Raúl Carot Collins
www.carotcollins.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#578071; Package live-magic. (Fri, 30 Apr 2010 17:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Fri, 30 Apr 2010 17:57:09 GMT) Full text and rfc822 format available.

Message #15 received at 578071@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 578071-submitter@bugs.debian.orgco
Cc: 578071@bugs.debian.org
Subject: Re: live-magic is not up to date to support live-helper 2.x
Date: Fri, 30 Apr 2010 19:52:55 +0200
[Message part 1 (text/plain, inline)]
severity 578071 important
tag 578071 unreproducible
tag 578071 moreinfo
thanks

Hi,

i couldn't reproduce it with live-helper 2.0~a10 and live-magic 1.10.
log is attached.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/
[build-log.txt (text/plain, attachment)]

Severity set to 'important' from 'grave' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 30 Apr 2010 17:57:13 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 30 Apr 2010 17:57:13 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 30 Apr 2010 17:57:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#578071; Package live-magic. (Mon, 03 May 2010 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Raul Carot Collins <marcos.carot@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 03 May 2010 15:00:03 GMT) Full text and rfc822 format available.

Message #26 received at 578071@bugs.debian.org (full text, mbox):

From: Marcos Raul Carot Collins <marcos.carot@gmail.com>
To: 578071@bugs.debian.org
Subject: more data
Date: Mon, 3 May 2010 22:56:36 +0800
Hi Daniel,

I am not expert but the issue was found while I was chatting in the irc chanel 
for live-helper.

I do not recall the names, sorry, but they were very helpful and asked me to 
log this bug.

I will try to make some time this weekend to try again, I saw a couple days 
ago that a live-helper or live-magic package was updated.

I'll report back then.

Cheers!
-- 
Marcos Raúl Carot Collins
www.carotcollins.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#578071; Package live-magic. (Mon, 03 May 2010 16:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 03 May 2010 16:03:09 GMT) Full text and rfc822 format available.

Message #31 received at 578071@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Marcos Raul Carot Collins <marcos.carot@gmail.com>
Cc: 578071@bugs.debian.org
Subject: Re: Bug#578071: more data
Date: Mon, 03 May 2010 18:01:00 +0200
On 05/03/2010 04:56 PM, Marcos Raul Carot Collins wrote:
> I will try to make some time this weekend to try again,

ok.

> I saw a couple days
> ago that a live-helper or live-magic package was updated.

yes, but the changes there don't matter, when i replied to the bug 
report, i was using the previous versions of each (though you're welcome 
to try to new versions of course).

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to daniel@debian.org:
You have taken responsibility. (Tue, 25 May 2010 19:42:06 GMT) Full text and rfc822 format available.

Notification sent to Marcos Raul Carot Collins <marcos.carot@gmail.com>:
Bug acknowledged by developer. (Tue, 25 May 2010 19:42:06 GMT) Full text and rfc822 format available.

Message #36 received at 578071-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 578071-done@bugs.debian.org, 578071-submitter@bugs.debian.orgco
Subject: Re: live-magic is not up to date to support live-helper 2.x
Date: Tue, 25 May 2010 21:39:31 +0200
Version: 1.10

closing as submitter didn't follow up.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Chris Lamb <lamby@debian.org>:
You have taken responsibility. (Mon, 02 Aug 2010 06:33:11 GMT) Full text and rfc822 format available.

Notification sent to Marcos Raul Carot Collins <marcos.carot@gmail.com>:
Bug acknowledged by developer. (Mon, 02 Aug 2010 06:33:11 GMT) Full text and rfc822 format available.

Message #41 received at 578071-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 578071-close@bugs.debian.org
Subject: Bug#578071: fixed in live-magic 1.12
Date: Mon, 02 Aug 2010 06:32:19 +0000
Source: live-magic
Source-Version: 1.12

We believe that the bug you reported is fixed in the latest version of
live-magic, which is due to be installed in the Debian FTP archive:

live-magic_1.12.dsc
  to main/l/live-magic/live-magic_1.12.dsc
live-magic_1.12.tar.gz
  to main/l/live-magic/live-magic_1.12.tar.gz
live-magic_1.12_all.deb
  to main/l/live-magic/live-magic_1.12_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578071@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <lamby@debian.org> (supplier of updated live-magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Aug 2010 02:22:24 -0400
Source: live-magic
Binary: live-magic
Architecture: source all
Version: 1.12
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Chris Lamb <lamby@debian.org>
Description: 
 live-magic - GUI frontend to create Debian LiveCDs, netboot images, etc.
Closes: 578071
Changes: 
 live-magic (1.12) unstable; urgency=low
 .
   * Update to live-helper 2.x (Closes: #578071):
     - Pass {true,false} instead of {True,False} to lh config.
     - Pass --debian-installer=false over =disabled.
   * Make live.debian.net the canonical Git repo for live-magic.
   * Remove a bunch of unused imports.
   * Update copyright years from 2007-2008 => 2007-2010.
   * Update my email address.
   * Bump (and rename) dependency on live-build to at least 2.0~a21.
   * Build (eg.) gnome-desktop instead of gnome.
   * Bump Python requirement to 2.5 due to (at least) subprocess.check_call.
   * Use '3.0 (native)' source format.
Checksums-Sha1: 
 6af00dea37e637ac6ff579c01732f52c22f32c09 997 live-magic_1.12.dsc
 8e3b4de24352ef385962ec8188fc562c7e2994fb 77794 live-magic_1.12.tar.gz
 668702ca50cfb5ca21196be4c03e8bbab3ee768e 63530 live-magic_1.12_all.deb
Checksums-Sha256: 
 4e42f1ac3bc520771e2967427a723ef9408572b152a42005b0ab01dd45072cc1 997 live-magic_1.12.dsc
 214084e4b921b64a312ec2b73fc81eb8de16fc73a16f45f5d34ecbe1512d1eab 77794 live-magic_1.12.tar.gz
 d7b26896d9f25d774ae061581bfc9bd12d22aaa33ff663ad9afdae321a538768 63530 live-magic_1.12_all.deb
Files: 
 f5e5fb6a9bb8c9a2f6869604155e0ab5 997 misc optional live-magic_1.12.dsc
 56acc520cdd04019ba9644b189137fa0 77794 misc optional live-magic_1.12.tar.gz
 3bd3a33fd45047df225ca64f16f04a7b 63530 misc optional live-magic_1.12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxWZEcACgkQ5/8uW2NPmiDshACglYXOh4i6vvEsZi1maaYEllAM
rDkAn1f1gJod+i4aU0ZbWFTtvJ7Z9QbN
=UUNM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Sep 2010 07:36:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:39:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.